-- TestMUD.hs
module TestMUD (tests) where

import MUD (updated, getPF)
import RandomUtils (generateUniformPoints)

tests :: IO ()
tests = do
    -- Example of Updated density
    let grdpoints = [-5, -4.5 .. 5]
    -- let f = (\x -> x)
    let f = id
    lam_sm <- generateUniformPoints 100 (-1.0, 1.0)
    let p = getPF f lam_sm
    let u = updated f p grdpoints
    print u

